// ConsoleApplication1.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "iostream"
using namespace std;
struct alan
{
	char c;
	int i;
	double d;
};
typedef struct alan D;
int _tmain(int argc, _TCHAR* argv[])
{
	D *p1;
	p1=(D*)malloc(sizeof(D));
	cout<<p1->c<<"\t"<<p1->d<<"\t"<<p1->i<<endl;
	p1->c='x';
	cout<<p1->c<<"\t"<<p1->d<<"\t"<<p1->i<<endl;
	p1->d=10e+4;
	cout<<p1->c<<"\t"<<p1->d<<"\t"<<p1->i<<endl;
	p1->i=25;
	cout<<p1->c<<"\t"<<p1->d<<"\t"<<p1->i<<endl;
	getchar();
	return 0;
}

